use super::CompUi;



#[derive(Debug, Default)]
pub struct TopNav;

component_register!(TopNav);

impl CompUi for TopNav {
    fn draw(ui: &mut egui::Ui, state: &mut crate::GuiState) -> crate::Result<()> {
        ui.add_space(3.0);
        ui.horizontal(|ui| {
            ui.add_space(3.0);
            egui::menu::bar(ui, |ui| {
                ui.menu_button("File", |ui| {
                    // TBD
                });
                ui.menu_button("Help", |ui| {
                    if ui.button("Source").clicked() {
                        ui.ctx().open_url(egui::OpenUrl::new_tab("https://git.mcorangehq.xyz/XOR64/music"));
                    }
        
                })
             });
        });

         Ok(())
     } 
}
